Bug 139490 - Upgrading from FC1 to FC3 fails
Upgrading from FC1 to FC3 fails
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-16 05:52 EST by Nigel Horne
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 17:51:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nigel Horne 2004-11-16 05:52:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.3)
Gecko/20041020

Description of problem:
Updated FC1 to FC3 fails to boot. Gets as far as:

Mounting sysfs
Creating /dev
Starting udev
Creating root device
Mounting root filesystem
mount: error 19 mounting ext3
mount: error 2 mounting none
Switching to new root
switchroot: mount failed 22
umount /initrd/dev failed: 2
Kernel panic - not syncing: Attempted to kill init!


Version-Release number of selected component (if applicable):
FC3 (boot fails so I can't run rpm)

How reproducible:
Always

Steps to Reproduce:
1. Install FC1
2. Keep up2date
3. Upgrade to FC3
    

Actual Results:  See above.

Expected Results:  FC3 should boot.

Additional info:
Comment 1 Dave Jones 2004-11-20 01:48:35 EST
very likely a udev problem, see 139506.
Comment 2 Harald Hoyer 2004-11-22 05:46:04 EST
did you update via anaconda/boot CD?
Comment 3 Nigel Horne 2004-11-22 05:50:20 EST
I downloaded the ISO images, burnt CDs, booted off the first CD and 
went from there. 
Comment 4 Harald Hoyer 2004-11-22 06:25:42 EST
don't know what nash means with mount error 19... reassigning.
Comment 5 Jeremy Katz 2004-11-22 11:21:59 EST
What sort of hardware is on your machine?
Comment 6 Nigel Horne 2005-01-12 03:47:55 EST
The problem still occurs with kernel-2.6.10-1.737_FC3.

As for the sort of hardware:

[root@sian ~]# lspci
00:00.0 Host bridge: VIA Technologies, Inc. VT82C693A/694x [Apollo
PRO133x] (rev c4)
00:01.0 PCI bridge: VIA Technologies, Inc. VT82C598/694x [Apollo
MVP3/Pro133x AGP]
00:07.0 ISA bridge: VIA Technologies, Inc. VT82C686 [Apollo Super
South] (rev 41)
00:07.1 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
00:07.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 16)
00:07.3 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 16)
00:07.4 Host bridge: VIA Technologies, Inc. VT82C686 [Apollo Super
ACPI] (rev 40)
00:09.0 Multimedia audio controller: Ensoniq 5880 AudioPCI (rev 02)
00:0a.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
00:0b.0 Communication controller: Conexant HCF 56k Data/Fax/Voice/Spkp
Modem (rev 08)
01:00.0 VGA compatible controller: nVidia Corporation NV5M64 [RIVA
TNT2 Model 64/Model 64 Pro] (rev 15)
[root@sian ~]#
Comment 7 Nigel Horne 2005-01-18 03:28:09 EST
The bug still occurs in kernel-2.6.10-1.741_FC3
Comment 8 Nigel Horne 2005-01-22 12:02:41 EST
I have noticed that the initrd on the machine that I upgraded from
FC1=>FC3 is MUCH smaller than the one that I installed FC3 from
scratch. Maybe this is the reason?

-rw-r--r--  1 root root  556989 Jan 16 08:47 initrd-2.6.10-1.741_FC3.img

-rw-r--r--  1 root root  301137 Jan 16 08:31 initrd-2.6.10-1.741_FC3.img
Comment 9 Peter Jones 2006-02-02 10:24:25 EST
Hrm. That probably means it's not detecting kernel modules needed for your root
filesystem correctly.  Can you run "mkinitrd -v /tmp/initrd.img
2.6.10-1.1741_FC3" and show the output?
Comment 10 Nigel Horne 2006-02-02 10:31:31 EST
No, since I've given up waiting for you to action it, so I no longer use it.
Comment 11 Nigel Horne 2006-02-02 10:31:42 EST
No, since I've given up waiting for you to action it, so I no longer use it.
Comment 12 Matthew Miller 2006-07-10 19:34:54 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 13 John Thacker 2006-10-30 17:51:31 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.